Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime
Interface ModelQueryResult

All Known Implementing Classes:
  ModelQueryResultImpl

    public interface ModelQueryResult

A representation of the model object 'Model Query Result'.

The following features are supported:

- `Source`
- `Value`
- `Exception`

See Also:
  `RuntimePackage.getModelQueryResult()`

Method Summary
`java.lang.Exception` | `getException()` Returns the value of the 'Exception' attribute.
`EObject` | `getSource()` Returns the value of the 'Source' reference.
`java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setException(java.lang.Exception value)` Sets the value of the '`Exception`' attribute.
`void` | `setSource(EObject value)` Sets the value of the '`Source`' reference.
`void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

Method Detail

### getSource

    EObject getSource()

  Returns the value of the 'Source' reference.

  If the meaning of the 'Source' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' reference.
  See Also:
    `setSource(EObject)`, `RuntimePackage.getModelQueryResult_Source()`

### setSource

    void setSource(EObject value)

  Sets the value of the '`Source`' reference.

  Parameters:
    `value` - the new value of the 'Source' reference.
  See Also:
    `getSource()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `RuntimePackage.getModelQueryResult_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getException

    java.lang.Exception getException()

  Returns the value of the 'Exception' attribute.

  If the meaning of the 'Exception' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Exception' attribute.
  See Also:
    `setException(Exception)`, `RuntimePackage.getModelQueryResult_Exception()`

### setException

    void setException(java.lang.Exception value)

  Sets the value of the '`Exception`' attribute.

  Parameters:
    `value` - the new value of the 'Exception' attribute.
  See Also:
    `getException()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD